    Exclude pixels using the region defined in the image viewer.

ignore2d_image(ids=None)
ids - int or str, or sequence of int or str, optional

Exclude points that lie within the region defined in the image viewer.

Use the region in the image viewer to ignore points from the default data set.

>>> ignore2d_image()

Ignore points in the data set labelled "2".

>>> ignore2d_image(2)

Ignore points in data sets "src" and "bg".

>>> ignore2d_image(["src", "bg"])

PARAMETERS

The parameter for this function is:

Parameter
Definition
ids
The data set, or sets, to ignore. If none (the default) then the default identifier is used, as returned by

`get_default_id` .

Notes

The region definition is converted into the coordinate system relevant to the data set before it is applied.

Changes in CIAO

The change in the filter is now reported for the dataset.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023